### Signal

# Clutter ScrollController::scroll

#### Declaration

    void
    scroll (
      ClutterScrollController* self,
      ClutterSprite* sprite,
      ClutterScrollSource source,
      gdouble dx,
      gdouble dy,
      gpointer user_data
    )

#### Description [src]

Emitted when there is an input scroll event to handle.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`sprite`

  Type: `ClutterSprite`

  Sprite triggering scroll events.

  The data is owned by the caller of the function.

`source`

  Type: `ClutterScrollSource`

  Source of the scroll events.

`dx`

  Type: `gdouble`

  Delta in the X axis of the scroll motion.

`dy`

  Type: `gdouble`

  Delta in the Y axis of the scroll motion.